<?php

namespace Cas\Type\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TypeTransformer extends TransformerAbstract
{
    public function transform(\Cas\Type\Models\Type $type)
    {
        return [
            'id'                => $type->getRouteKey(),
            'key'               => [
                'public'    => $type->getPublicKey(),
                'route'     => $type->getRouteKey(),
            ], 
            'id'                => $type->id,
            'name'              => $type->name,
            'percentage'        => $type->percentage,
            'details'           => $type->details,
            'created_at'        => $type->created_at,
            'updated_at'        => $type->updated_at,
            'deleted_at'        => $type->deleted_at,
            'url'               => [
                'public'    => trans_url('type/'.$type->getPublicKey()),
                'user'      => guard_url('type/type/'.$type->getRouteKey()),
            ], 
            'status'            => trans('app.'.$type->status),
            'created_at'        => format_date($type->created_at),
            'updated_at'        => format_date($type->updated_at),
        ];
    }
}