<?php

namespace Cas\Type;

use User;

class Type
{
    /**
     * $type object.
     */
    protected $type;

    /**
     * Constructor.
     */
    public function __construct(\Cas\Type\Interfaces\TypeRepositoryInterface $type)
    {
        $this->type = $type;
    }

    /**
     * Returns count of type.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.type.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->type->pushCriteria(new \Litepie\Cas\Repositories\Criteria\TypeUserCriteria());
        }

        $type = $this->type->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('type::' . $view, compact('type'))->render();
    }
}
